Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
05802 DIP/Input Major Always Dec 18, 2014, 17:03 Sep 18, 2019, 10:19
Tester demotester View Status Public Platform
Assigned To Robbbert Resolution Fixed OS
Status [?] Resolved Driver pk8020.cpp
Version 0.143 Fixed in Version 0.214 Build
Summary MESS-specific 05802: korvet, neiva, kontur: Keyboard does not work!
Description After loading the system disk, the keyboard stops to receiving input!
it is impossible to type command "DIR" for example.


Also, the MESS "korvet" clone "neiva"... the keyboard does not work in basic when started with "mess neiva" !
Steps To Reproduce mess korvet -flop1 system1
mess neiva -flop1 system1
mess kontur -flop1 system1
Additional Information In other emu "SPCKorvet_v097_Plus" (Korvet 1.1, Korvet 2.0, Kontur) it works!
Flags
Regression Version
Affected Sets / Systems korvet, neiva, kontur
Attached Files
 
Relationships
There are no relationship linked to this issue.
Notes
3
User avatar
No.12521
demotester
Tester
Apr 9, 2016, 18:17
Hmm, it seems in .172 version it is not possible to boot the "system1" disk?

Also, the "neiva" keyboard still does not work in basic? (Note: it has status WORKING)
User avatar
No.16674
Robbbert
Developer
Jul 19, 2019, 10:41
All 4 machines in this driver are badly broken and have now been marked as MACHINE_NOT_WORKING.

Therefore this report can be closed.
User avatar
No.16921
Robbbert
Developer
Sep 18, 2019, 10:19
The keyboard has been restored to working.

The neiva keyboard broke somewhere in the 0.142-0.143 cycle, so I've put 0.143 as the regression version.

The current situation is that korvet and neiva can boot the CP/M disk, and you can type there.

kontur will not boot any disk, not sure if we need a different disk, or maybe kontur is just broken.

Limited navigation is now possible in BK8T - read the driver notes.